import com.jxcell.DataValidation;
import com.jxcell.View;
import com.jxcell.CellFormat;
import java.awt.*;

public class DataValidationSample
{

    public static void main(String args[])
    {
        View m_view = new View();
        try
        {
            m_view.setText(0, 1, "Apple");
            m_view.setText(0, 2, "Orange");
            m_view.setText(0, 3, "Banana");

            DataValidation dataValidation = m_view.CreateDataValidation();
            dataValidation.setType(DataValidation.eUser);
            dataValidation.setFormula1("\"AAAA\0BBBB\0cccc\"");
            dataValidation.setErrorBoxText("value should be in AAAA,BBBB,cccc");
            m_view.setSelection("A2:A5");
            m_view.setDataValidation(dataValidation);

            dataValidation = m_view.CreateDataValidation();
            dataValidation.setType(DataValidation.eUser);
            dataValidation.setFormula1("$B$1:$D$1");
            dataValidation.setErrorBoxText("value should be in Apple,Orange,Banana");
            m_view.setSelection("B2:D5");
            m_view.setDataValidation(dataValidation);

            dataValidation = m_view.CreateDataValidation();
            dataValidation.setType(DataValidation.eInteger);
            dataValidation.setFormula1("10");
            dataValidation.setOperator(DataValidation.eGreater);
            dataValidation.setErrorBoxText("value should be greater than 10");
            m_view.setSelection("B7:D7");
            m_view.setDataValidation(dataValidation);

            CellFormat cellformat = m_view.getCellFormat(1,0,4,0);
            cellformat.setPattern(CellFormat.PatternSolid);
            cellformat.setPatternFG(Color.blue);
            m_view.setCellFormat(cellformat, 1,0,4,0);

            cellformat = m_view.getCellFormat(1,1,4,3);
            cellformat.setPattern(CellFormat.PatternSolid);
            cellformat.setPatternFG(Color.green);
            m_view.setCellFormat(cellformat, 1,1,4,3);

            cellformat = m_view.getCellFormat(6,1,6,3);
            cellformat.setPattern(CellFormat.PatternSolid);
            cellformat.setPatternFG(Color.orange);
            m_view.setCellFormat(cellformat, 6,1,6,3);

            m_view.setText(0, 0, "AAAA,BBBB,cccc");
            m_view.setText(5, 1, "greater than 10");

            //m_view.write(".\\datavalidation.xls");
            m_view.writeXLSX(".\\datavalidation.xlsx");
            com.jxcell.designer.Designer.newDesigner(m_view);
        }
        catch (Exception e)
        {
            e.printStackTrace();
        }
    }
}